package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglZjk;
import com.mosty.base.model.query.jcgl.TbJcglZjkQuery;

import java.util.List;

/**
 * <p>
 * 基础管理-专家库 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-07-28
 */
public interface TbJcglZjkService {

    //新增专家库
    int insert(TbJcglZjk tbJcglZjk);

    //查询专家库
    IPage<TbJcglZjk> queryPage(TbJcglZjkQuery zjkQuery);

    //编辑专家库
    int update(TbJcglZjk tbJcglZjk);

    //删除专家库
    int deleteById(List<String> list);

    //根据ID查询
    TbJcglZjk selectById(String id);

}
